## cmake 2.6.1-1maemo3

=== debian/changelog ===
cmake (2.6.1-1maemo3) intrepid; urgency=low

  * Newer upstream.
  * Fix build-deps.
  * Force HAVE_POLL_FINE.
  * Force system libraries.

 -- Jonas Hurrelmann <j@outpo.st>  Sun, 18 Aug 2008 18:24:01 +0200

cmake (2.6.0-5) unstable; urgency=medium

  * Fix build-deps: libncursesw5-dev doesn't work, just use the non wide one.
    This will build ccmake again (Closes: #481392).

 -- Pierre Habouzit <madcoder@debian.org>  Tue, 29 Jul 2008 11:05:17 +0200

cmake (2.6.0-4) unstable; urgency=low

  * Really remove dependency on emacsen-common (Closes: #471975).

 -- Pierre Habouzit <madcoder@debian.org>  Wed, 14 May 2008 21:01:42 +0200

cmake (2.6.0-3) unstable; urgency=low

  * Remove dependency on emacsen-common (Closes: #471975):
    emacs guys, I was asked in a previous bug (#427763) to byte-compile the
    cmake extension, the policy mandates a dependency upon emacs which is
    silly, and depending upon emacsen-common breaks the whole thing. A
    pre-depends would be insane, WHY ON EARTH is the emacs policy so horribly
    broken ? Until someone answers that, cmake will stay in the previous state
    with byte-compilation, and without any emacs dependency.

  * Add patches/reinstate-arm.diff to fix FTBFS on arm platforms
    (Closes: #481016)

 -- Pierre Habouzit <madcoder@debian.org>  Tue, 13 May 2008 10:18:12 +0200

cmake (2.6.0-2) unstable; urgency=low

  * Upload to unstable this time.
  * Depend upon emacsen-common (Closes: #471975).

 -- Pierre Habouzit <madcoder@debian.org>  Mon, 12 May 2008 18:13:33 +0200

cmake (2.6.0-1) experimental; urgency=low

  * Update patches/FindQt4.cmake2.6.diff (Closes: #479907).
  * Add patches/executables-dont-need-fpic.diff (Closes: #478404).
  * Bump Standards-Version to 3.7.3.

 -- Pierre Habouzit <madcoder@debian.org>  Mon, 12 May 2008 17:11:04 +0200

cmake (2.6.0~rc8-1.1) experimental; urgency=low

  * Non-maintainer upload with permission from DadCoder. 
    Happy Prague visit.
  * Fix FindQt4.cmake (Closes: #477110)

 -- Sune Vuorela <debian@pusling.com>  Sun, 20 Apr 2008 22:58:33 +0200

cmake (2.6.0~rc8-1) experimental; urgency=low

  * New upstream rc release.
  * Update patches:
     + drop findmpeg2-robustness.diff.
     + drop hurd-SA_SIGINFO.diff.
     + drop nsis-support.diff.

 -- Pierre Habouzit <madcoder@debian.org>  Fri, 18 Apr 2008 20:49:30 +0200

cmake (2.4.8-1) unstable; urgency=low

  [ Pierre Habouzit ]
  * New upstream release (Closes: 462335).
  * remove patches/hurd-Platform.diff, merged upstream.

  [ Rafael Laboissiere ]
  * debian/rules, debian/cmake.emacsen-{startup,install,remove}: Allow
    byte-compilation of cmake-mode.el at install time and put in the
    emacsen startup directory just the necessary initialization code
    of cmake-mode (Closes: 427763)

 -- Pierre Habouzit <madcoder@debian.org>  Fri, 25 Jan 2008 10:19:47 +0100

cmake (2.4.7-1) unstable; urgency=low

  * New upstream release.
  * Drop patches/findqt4-binaries-order.diff (Closes: #433105).

 -- Pierre Habouzit <madcoder@debian.org>  Thu, 19 Jul 2007 18:58:37 +0200

cmake (2.4.6-1) unstable; urgency=low

  * Upload to unstable.
  * Make FindMPEG2.cmake more robust (Closes: 419134).

 -- Pierre Habouzit <madcoder@debian.org>  Mon, 18 Jun 2007 10:24:58 +0100

cmake (2.4.6-0) experimental; urgency=low

  * New upstream release (experimental upload, 2.4.5 must propagate):
     + Ruby NAMES now includes ruby1.8 (Closes: 407481).

  * Add patch to support NSIS on linux properly,
    thanks to Michal Čihař (Closes: 408846).

 -- Pierre Habouzit <madcoder@debian.org>  Wed, 13 Jun 2007 12:39:42 +0200

cmake (2.4.5-2) unstable; urgency=low

  * Add myself to Uploaders.
  * Ack my NMU (Closes: 419007, 407155, 407304).
  * Move to quilt, split diff.gz into patches, to avoid losing them.

  * debian/rules:
     + add quilt snipplets.
     + remove commented dh_ calls.
     + remove old cruft, make it shorter.
     + Avoid subshells, use makeism's rather than shell if/then/else.

  * Lintian warnings:
     + use debian/compat rather than DH_COMPAT.
     + add an override for the extra-license-file that in fact is a template.

 -- Pierre Habouzit <madcoder@debian.org>  Thu, 07 Jun 2007 11:09:46 +0200

cmake (2.4.5-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Disable lib64 paths in FindLibrary, as it's not needed in debian and
    yields incorrect results (Closes: #419007).
  * Apply Hurd Porter patch to deal with undefined SA_SIGINFO
    (Closes: #407304).
  * Reintroduce lost GNU.cmake (Closes: #407155).

 -- Pierre Habouzit <madcoder@debian.org>  Tue, 05 Jun 2007 13:28:35 +0200

cmake (2.4.5-1) unstable; urgency=low

  * New upstream bugfix release (Closes: #401071)
    Fix for seg fault when a macro runs a bad command BUG# 3815
    Fix fix for foo.dll.lib that does not break -L/usr/lib in link names
    Fix problem with LIBRARY_OUTPUT_PATH and linking to a dll foo.dll.lib  instead of foo.lib
    Do not depend on optimized libraries for a debug build and visa versa.
    Fix target name matching custom command output conflict.
    Fix FindQt3 so that it does not find qt4
    Fix FindKDE4 so that it only looks for kde4-config 

 -- A. Maitland Bottoms <bottoms@debian.org>  Mon,  4 Dec 2006 16:29:44 -0500

cmake (2.4.4-1) unstable; urgency=low

  * New upstream release
  * Upstream fixes parsing bug (Closes: #392624)

 -- A. Maitland Bottoms <bottoms@debian.org>  Sat, 25 Nov 2006 19:49:38 -0500

cmake (2.4.3-3) unstable; urgency=low

  * Have FindMPEG2 look in paths used in Debian (Closes: #391831)
  * Make FindQt4 more reliable (Closes: #392473)

 -- A. Maitland Bottoms <bottoms@debian.org>  Fri, 10 Nov 2006 11:27:35 -0500

cmake (2.4.3-2) unstable; urgency=low

  * Remove recommends line (Closes: #392013, #392044)

 -- A. Maitland Bottoms <bottoms@debian.org>  Tue, 10 Oct 2006 21:33:40 -0400

cmake (2.4.3-1) unstable; urgency=low

  * New upstream release
  * recognize .F90 as a fortran source extension (Closes: #376587)

