=== debian/control ===
Source: cmake
Section: devel
Priority: optional
Maintainer: A. Maitland Bottoms <bottoms@debian.org>
Uploaders: Pierre Habouzit <madcoder@debian.org>
Build-Depends: debhelper (>> 5.0.0), libncurses5-dev, quilt, libcurl3-openssl-dev, libexpat1-dev, libxmlrpc-c3-dev
Standards-Version: 3.7.3

Package: cmake
Architecture: any
Depends: ${shlibs:Depends}
Description: A cross-platform, open-source make system
 CMake is used to control the software compilation process using
 simple platform and compiler independent configuration files. CMake
 generates native makefiles and workspaces that can be used in the
 compiler environment of your choice. CMake is quite sophisticated: it
 is possible to support complex environments requiring system
 configuration, pre-processor generation, code generation, and template
 instantiation.
 .
 CMake was developed by Kitware as part of the NLM Insight
 Segmentation and Registration Toolkit project. The ASCI VIEWS project
 also provided support in the context of their parallel computation
 environment. Other sponsors include the Insight, VTK, and VXL open
 source software communities.
