## cmake 2.6.1-1maemo5

=== debian/changelog ===
cmake (2.6.1-1maemo5) intrepid; urgency=low

  * Newer upstream.
  * Fix build-deps.
  * Force HAVE_POLL_FINE.
  * Force system libraries.

 -- Jonas Hurrelmann <j@outpo.st>  Sun, 18 Aug 2008 18:24:01 +0200
