## cmake 2.6.1-1maemo7

=== debian/changelog ===
cmake (2.6.1-1maemo7) intrepid; urgency=low

  * Newer upstream.
  * Fix build-deps.
  * Force HAVE_POLL_FINE.
  * Force system libraries.
  * Use different method for copying files.

 -- Jonas Hurrelmann <j@outpo.st>  Sun, 18 Aug 2008 18:24:01 +0200
